%define debug_package   %{nil}

%global provider        github
%global provider_tld    com
%global project         davmac314
%global repo            dinit
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          287b118eba4771413f882c53fc0ddb8298a66cb9
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           dinit
Epoch:          1
Version:        0.4.0
Release:        3%{?dist}
Summary:        Dinit is a service supervisor with dependency support.
License:        ASL 2.0
URL:            https://%{provider_prefix}
#Source:         https://%{provider_prefix}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Source:         https://%{provider_prefix}/archive/%{commit}/%{repo}-%{version}.tar.gz
Patch1:         dinit.patch
Patch2:         dinit-el7.patch

BuildRequires:  make
%if 0%{?rhel}
BuildRequires: libasan4 libubsan devtoolset-7-gcc-c++
%else
BuildRequires: libasan libubsan gcc-c++
%endif

%description
Dinit is a service supervisor with dependency support which can also
act as the system init program.

%prep
#%setup -q -n %{repo}-%{commit}
%setup -q -n %{repo}-%{version}
%patch1 -p1
%if 0%{?rhel}
%patch2 -p1
%endif

%build
%if 0%{?rhel}
source /opt/rh/devtoolset-7/enable
%endif
make

%install
%if 0%{?rhel}
source /opt/rh/devtoolset-7/enable
%endif
%make_install
install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/dinit.d/boot.d

%check
%if 0%{?rhel}
source /opt/rh/devtoolset-7/enable
%endif
make check

%files
%doc README.md
%license LICENSE
%{_sysconfdir}/dinit.d
%{_sbindir}/dinit
%{_sbindir}/dinitctl
%{_mandir}/man8/dinit.8.gz
%{_mandir}/man8/dinitctl.8.gz
%{_mandir}/man5/dinit-service.5.gz

%package shutdown
Summary:        Shutdown binaries for Dinit service supervisor.

%description shutdown
Shutdown binaries for Dinit service supervisor.

%files shutdown
%{_sbindir}/halt
%{_sbindir}/reboot
%{_sbindir}/shutdown

%changelog
* Tue Oct 30 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.4.0-3
- Refactored el7 build

* Mon Oct 29 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.4.0-2
- Added missing build deps

* Sat Oct 20 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.4.0-1
- New version release

* Sat Jun 23 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.3.0-1
- New version release

* Sat Jun 9 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.2.0-1
- New version release

* Sat Mar 31 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.1.1-2
- Added empty boot service file

* Wed Mar 21 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.1.1-1
- New version release

* Fri Mar 2 2018 Marcin Skarbek <rpm@skarbek.name> - 1:0.1.0-2
- Bump epoch of the package to resolve issue with new versioning

* Fri Mar 2 2018 Marcin Skarbek <rpm@skarbek.name> - 0.1.0-1
- New version release, switch to semantic versioning

* Mon Feb 26 2018 Marcin Skarbek <rpm@skarbek.name> - 0.09-0.3.git880fa93
- Updated code

* Tue Feb 13 2018 Marcin Skarbek <rpm@skarbek.name> - 0.09-0.2.gite7e6cad
- Updated code

* Mon Feb 12 2018 Marcin Skarbek <rpm@skarbek.name> - 0.09-0.1.git10a67db
- Updated code

* Mon Feb 5 2018 Marcin Skarbek <rpm@skarbek.name> - 0.08-1
- New version release
- Enable and split shutdown binaries as separate package

* Sat Jan 13 2018 Marcin Skarbek <rpm@skarbek.name> - 0.08-0.1.git4ee8c68
- Updated code

* Sat Jan 13 2018 Marcin Skarbek <rpm@skarbek.name> - 0.07-1
- New version release

* Fri Jan 5 2018 Marcin Skarbek <rpm@skarbek.name> - 0.07-0.1.git3510e96
- Updated code, removed shutdown functionality

* Mon Dec 25 2017 Marcin Skarbek <rpm@skarbek.name> - 0.06-0.1.gitb257765
- First package for Fedora
